​

Get cards linked to record

GET
https://example.kaiten.ru/api/latest/company/custom-directories/{directory_id}/records/{record_id}/cards

Returns cards that are linked to the record (including ancestor linked records). The optional `filter` parameter is a Base64-encoded JSON filter and is merged with the base filter.

Path parameters
NameTypeReference
directory_idrequiredstringDirectory ID
record_idrequiredstringRecord ID
Headers
NameValue
Content-Typeapplication/json
Query
NameTypeConstraintsDescription
limitnumberDefault: 100 Max: 100Maximum number of cards in response
offsetnumberNumber of records to skip
filterstringBase64-encoded JSON card filter
Responses

200
DescriptionResponse typeExample
SuccessArray of objects
Open
Response Attributes
NameTypeDescription
id

integer

Card ID
uid

string

Card UID (UUID)
title

string

Card title
400
DescriptionResponse typeExample
Validation errorObject
Open

A schema has not been defined for this response code.

401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundObject
Open

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/company/custom-directories/{directory_id}/records/{record_id}/cards' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!